## CamelSendmailSettings CamelSendmailSettings |

## Functions

gboolean | camel_sendmail_settings_get_use_custom_binary ()
void | camel_sendmail_settings_set_use_custom_binary ()
const gchar * | camel_sendmail_settings_get_custom_binary ()
gchar * | camel_sendmail_settings_dup_custom_binary ()
void | camel_sendmail_settings_set_custom_binary ()
gboolean | camel_sendmail_settings_get_use_custom_args ()
void | camel_sendmail_settings_set_use_custom_args ()
const gchar * | camel_sendmail_settings_get_custom_args ()
gchar * | camel_sendmail_settings_dup_custom_args ()
void | camel_sendmail_settings_set_custom_args ()
gboolean | camel_sendmail_settings_get_send_in_offline ()
void | camel_sendmail_settings_set_send_in_offline ()

## Properties

gchar * | custom-args | Read / Write / Construct
gchar * | custom-binary | Read / Write / Construct
gboolean | send-in-offline | Read / Write / Construct
gboolean | use-custom-args | Read / Write / Construct
gboolean | use-custom-binary | Read / Write / Construct

## Types and Values

struct | CamelSendmailSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelSendmailSettings

## Description

## Functions

### camel_sendmail_settings_get_use_custom_binary ()

    gboolean
    camel_sendmail_settings_get_use_custom_binary
                                   (CamelSendmailSettings *settings);

Returns whether the 'custom-binary' property should be used as binary to run, instead of sendmail.

#### Parameters

settings | a CamelSendmailSettings |

#### Returns

whether the 'custom-binary' property should be used as binary to run, instead of sendmail

Since: 3.8

### camel_sendmail_settings_set_use_custom_binary ()

    void
    camel_sendmail_settings_set_use_custom_binary
                                   (CamelSendmailSettings *settings,
                                    gboolean use_custom_binary);

Sets whether to use custom binary, instead of sendmail.

#### Parameters

settings | a CamelSendmailSettings |
use_custom_binary | whether to use custom binary |

Since: 3.8

### camel_sendmail_settings_get_custom_binary ()

    const gchar *
    camel_sendmail_settings_get_custom_binary
                                   (CamelSendmailSettings *settings);

Returns the custom binary to run, instead of sendmail.

#### Parameters

settings | a CamelSendmailSettings |

#### Returns

the custom binary to run, instead of sendmail, or `NULL`

Since: 3.8

### camel_sendmail_settings_dup_custom_binary ()

    gchar *
    camel_sendmail_settings_dup_custom_binary
                                   (CamelSendmailSettings *settings);

Thread-safe variation of `camel_sendmail_settings_get_custom_binary()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelSendmailSettings |

#### Returns

a newly-allocated copy of “custom-binary”

Since: 3.8

### camel_sendmail_settings_set_custom_binary ()

    void
    camel_sendmail_settings_set_custom_binary
                                   (CamelSendmailSettings *settings,
                                    const gchar *custom_binary);

Sets the custom binary name to run, instead of sendmail.

#### Parameters

settings | a CamelSendmailSettings |
custom_binary | a custom binary name, or `NULL` |

Since: 3.8

### camel_sendmail_settings_get_use_custom_args ()

    gboolean
    camel_sendmail_settings_get_use_custom_args
                                   (CamelSendmailSettings *settings);

Returns whether the 'custom-args' property should be used as arguments to use, instead of default arguments.

#### Parameters

settings | a CamelSendmailSettings |

#### Returns

whether the 'custom-args' property should be used as arguments to use, instead of default arguments

Since: 3.8

### camel_sendmail_settings_set_use_custom_args ()

    void
    camel_sendmail_settings_set_use_custom_args
                                   (CamelSendmailSettings *settings,
                                    gboolean use_custom_args);

Sets whether to use custom arguments, instead of default arguments.

#### Parameters

settings | a CamelSendmailSettings |
use_custom_args | whether to use custom arguments |

Since: 3.8

### camel_sendmail_settings_get_custom_args ()

    const gchar *
    camel_sendmail_settings_get_custom_args
                                   (CamelSendmailSettings *settings);

Returns the custom arguments to use, instead of default arguments.

#### Parameters

settings | a CamelSendmailSettings |

#### Returns

the custom arguments to use, instead of default arguments, or `NULL`

Since: 3.8

### camel_sendmail_settings_dup_custom_args ()

    gchar *
    camel_sendmail_settings_dup_custom_args
                                   (CamelSendmailSettings *settings);

Thread-safe variation of `camel_sendmail_settings_get_custom_args()`. Use this function when accessing `settings` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

settings | a CamelSendmailSettings |

#### Returns

a newly-allocated copy of “custom-args”

Since: 3.8

### camel_sendmail_settings_set_custom_args ()

    void
    camel_sendmail_settings_set_custom_args
                                   (CamelSendmailSettings *settings,
                                    const gchar *custom_args);

Sets the custom arguments to use, instead of default arguments.

#### Parameters

settings | a CamelSendmailSettings |
custom_args | a custom arguments, or `NULL` |

Since: 3.8

### camel_sendmail_settings_get_send_in_offline ()

    gboolean
    camel_sendmail_settings_get_send_in_offline
                                   (CamelSendmailSettings *settings);

Returns whether can send messages in offline mode.

#### Parameters

settings | a CamelSendmailSettings |

#### Returns

whether can send messages in offline mode

Since: 3.10

### camel_sendmail_settings_set_send_in_offline ()

    void
    camel_sendmail_settings_set_send_in_offline
                                   (CamelSendmailSettings *settings,
                                    gboolean send_in_offline);

Sets whether can send messages in offline mode.

#### Parameters

settings | a CamelSendmailSettings |
send_in_offline | whether can send messages in offline mode |

Since: 3.10

## Types and Values

### struct CamelSendmailSettings

    struct CamelSendmailSettings;

## Property Details

### The `“custom-args”` property

      “custom-args”              gchar *

Custom arguments to use, instead of default (predefined) arguments.

Flags: Read / Write / Construct

Default value: NULL

### The `“custom-binary”` property

      “custom-binary”            gchar *

Custom binary to run, instead of sendmail.

Flags: Read / Write / Construct

Default value: NULL

### The `“send-in-offline”` property

      “send-in-offline”          gboolean

Whether to allow message sending in offline mode.

Flags: Read / Write / Construct

Default value: TRUE

### The `“use-custom-args”` property

      “use-custom-args”          gboolean

Whether the custom-args property identifies arguments to use.

Flags: Read / Write / Construct

Default value: FALSE

### The `“use-custom-binary”` property

      “use-custom-binary”        gboolean

Whether the custom-binary property identifies binary to run.

Flags: Read / Write / Construct

Default value: FALSE